Bug 1184626 - Community Repo RPMs don't include attr package as a dependency
Summary: Community Repo RPMs don't include attr package as a dependency
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: build
Version: 3.6.1
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1184627
Blocks: glusterfs-3.6.3 glusterfs-3.6.4
TreeView+ depends on / blocked
 
Reported: 2015-01-21 20:50 UTC by Dean Bruhn
Modified: 2015-12-01 16:45 UTC (History)
7 users (show)

Fixed In Version: glusterfs-3.6.4beta1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1184627 (view as bug list)
Environment:
Last Closed: 2015-07-30 13:16:46 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Dean Bruhn 2015-01-21 20:50:40 UTC
Description of problem:
When installing the Gluster 3.6.1 packages for CentOS 7 the attr package is not installed along with it and is needed. 

Installing the package manually resolves the issue.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Niels de Vos 2015-01-21 20:57:01 UTC
Yes, indeed. The mount.glusterfs helper script tests if getfattr is available, and if not, it will log a warning.

Note that it should not make a difference for the functionality, mounting should still succeed if the attr package is not installed.


Fix needed:

In the glusterfs.spec.in, add a "Requires: attr" for the glusterfs-fuse sub-package.

Comment 2 Anand Avati 2015-03-26 16:17:07 UTC
REVIEW: http://review.gluster.org/10018 (build: attr package dependency) posted (#1) for review on release-3.6 by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 3 Anand Avati 2015-03-26 18:22:16 UTC
REVIEW: http://review.gluster.org/10018 (build: attr package dependency) posted (#2) for review on release-3.6 by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 4 Anand Avati 2015-03-26 18:26:23 UTC
REVIEW: http://review.gluster.org/10018 (build: attr package dependency) posted (#3) for review on release-3.6 by Kaleb KEITHLEY (kkeithle@redhat.com)

Comment 5 Anand Avati 2015-05-19 13:36:01 UTC
COMMIT: http://review.gluster.org/10018 committed in release-3.6 by Raghavendra Bhat (raghavendra@redhat.com) 
------
commit 24b3db07685fcc39f08e15b1b5e5cd1262b91590
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Thu Mar 26 12:15:41 2015 -0400

    build: attr package dependency
    
    Already fixed in Fedora dist-git glusterfs.spec
    
    Change-Id: I362c08e8a80bbeb2081b6744ea161d19b205244a
    BUG: 1184626
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/10018
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Humble Devassy Chirammal <humble.devassy@gmail.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>


Note You need to log in before you can comment on or make changes to this bug.